Bug 1031946 - VDPAU drivers are not normal shared libraries and should be named libvdpau_<driver>.so to be loaded
VDPAU drivers are not normal shared libraries and should be named libvdpau_<d...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
20
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 03:21 EST by Johan Vervloet
Modified: 2015-06-29 08:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:59:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Vervloet 2013-11-19 03:21:57 EST
Description of problem:

I did a clean install of Fedora 20. When I issue a journalctl command, I find lines like this:

Nov 19 09:02:04 localhost.localdomain gnome-session[1801]: Failed to open VDPAU backend libvdpau_nouveau.so: cannot open shared object file: No such file or directory

It does not seem to cause any problems. But I think it is strange that these messages are there.

Version-Release number of selected component (if applicable):

libvdpau-0.7-1.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64


How reproducible:


Steps to Reproduce:
1. journalctl | grep -i vdpau

Actual results:

Lines complaining about libvdpau_nouveao.so not found

Expected results:

Nothing special

Additional info:

The output of  lspci | grep -i nvidia is


01:00.0 VGA compatible controller: NVIDIA Corporation GT215GLM [Quadro FX 1800M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation High Definition Audio Controller (rev a1)
Comment 1 Simone Caronni 2013-11-19 03:36:46 EST
Hello,

the component providing the driver is mesa-vdpau-drivers, so I'm reassigning the bug to the correct component. The package is not shipping the correct symlink; all drivers should end with .so and not versioned like a normal shared library:

$ rpm -qvl mesa-vdpau-drivers.x86_64
lrwxrwxrwx    1 root    root                       25 Nov 14 12:23 /usr/lib64/vdpau/libvdpau_nouveau.so.1 -> libvdpau_nouveau.so.1.0.0
-rwxr-xr-x    1 root    root                  3270528 Nov 14 12:25 /usr/lib64/vdpau/libvdpau_nouveau.so.1.0.0
lrwxrwxrwx    1 root    root                       22 Nov 14 12:23 /usr/lib64/vdpau/libvdpau_r600.so.1 -> libvdpau_r600.so.1.0.0
-rwxr-xr-x    1 root    root                  3002000 Nov 14 12:25 /usr/lib64/vdpau/libvdpau_r600.so.1.0.0
lrwxrwxrwx    1 root    root                       26 Nov 14 12:23 /usr/lib64/vdpau/libvdpau_radeonsi.so.1 -> libvdpau_radeonsi.so.1.0.0
-rwxr-xr-x    1 root    root                  2197256 Nov 14 12:25 /usr/lib64/vdpau/libvdpau_radeonsi.so.1.0.0

$ rpm -ql mesa-vdpau-drivers.x86_64
/usr/lib64/vdpau/libvdpau_nouveau.so.1
/usr/lib64/vdpau/libvdpau_nouveau.so.1.0.0
/usr/lib64/vdpau/libvdpau_r600.so.1
/usr/lib64/vdpau/libvdpau_r600.so.1.0.0
/usr/lib64/vdpau/libvdpau_radeonsi.so.1
/usr/lib64/vdpau/libvdpau_radeonsi.so.1.0.0

An example with correct naming:

$ rpm -ql nvidia-driver-libs | grep vdpau
/usr/lib64/vdpau/libvdpau_nvidia.so
Comment 2 Johan Vervloet 2013-11-19 04:19:22 EST
I don't have mesa-vdpau-drivers installed. Should I install it?
Comment 3 Simone Caronni 2013-11-19 04:26:01 EST
Yes if you want to use vdpau acceleration with Nouveau.

IMHO they should be installed by default on a desktop, along with the libva-intel-driver and libva-vdpau-driver. So whatever the setup is, you will get hardware accelerated playback.
Comment 4 Nicolas Chauvet (kwizart) 2013-11-19 17:08:55 EST
This is incorrect
$ readelf -a libvdpau_nvidia.so.331.20 |grep SONAME
 0x000000000000000e (SONAME)             Librairie soname: [libvdpau_nvidia.so.1]

@Johan
What is the output of vdpauinfo once mesa-vdpau-drivers is installed ?
Comment 5 Johan Vervloet 2013-11-20 03:39:02 EST
I installed vdpauinfo, you find the output below.

I also have to say that since I installed mesa-vdpau-drivers yesterday, I haven't seen log messages about missing backend libvdpau_nouveau.so

display: :0   screen: 0
API version: 1
Information string: G3DVL VDPAU Driver Shared Library version 1.0

Video surface:

name   width height types
-------------------------------------------
420     8192  8192  NV12 YV12 
422     8192  8192  NV12 YV12 UYVY YUYV 
444     8192  8192  NV12 YV12 Y8U8V8A8 V8U8Y8A8 

Decoder capabilities:

name               level macbs width height
-------------------------------------------

Output surface:

name              width height nat types
----------------------------------------------------
B8G8R8A8          8192  8192    y  NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8 
R8G8B8A8          8192  8192    y  NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8 
R10G10B10A2       8192  8192    y  NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8 
B10G10R10A2       8192  8192    y  NV12 YV12 UYVY YUYV Y8U8V8A8 V8U8Y8A8 

Bitmap surface:

name              width height
------------------------------
B8G8R8A8          8192  8192
R8G8B8A8          8192  8192
R10G10B10A2       8192  8192
B10G10R10A2       8192  8192
A8                8192  8192

Video mixer:

feature name                    sup
------------------------------------
DEINTERLACE_TEMPORAL             -
DEINTERLACE_TEMPORAL_SPATIAL     -
INVERSE_TELECINE                 -
NOISE_REDUCTION                  y
SHARPNESS                        y
LUMA_KEY                         -
HIGH QUALITY SCALING - L1        -
HIGH QUALITY SCALING - L2        -
HIGH QUALITY SCALING - L3        -
HIGH QUALITY SCALING - L4        -
HIGH QUALITY SCALING - L5        -
HIGH QUALITY SCALING - L6        -
HIGH QUALITY SCALING - L7        -
HIGH QUALITY SCALING - L8        -
HIGH QUALITY SCALING - L9        -

parameter name                  sup      min      max
-----------------------------------------------------
VIDEO_SURFACE_WIDTH              y        48     8192
VIDEO_SURFACE_HEIGHT             y        48     8192
CHROMA_TYPE                      y  
LAYERS                           y         0        4

attribute name                  sup      min      max
-----------------------------------------------------
BACKGROUND_COLOR                 y  
CSC_MATRIX                       y  
NOISE_REDUCTION_LEVEL            y      0.00     1.00
SHARPNESS_LEVEL                  y     -1.00     1.00
LUMA_KEY_MIN_LUMA                y  
LUMA_KEY_MAX_LUMA                y
Comment 6 Simone Caronni 2013-11-20 04:26:06 EST
(In reply to Nicolas Chauvet (kwizart) from comment #4)
> This is incorrect
> $ readelf -a libvdpau_nvidia.so.331.20 |grep SONAME
>  0x000000000000000e (SONAME)             Librairie soname:
> [libvdpau_nvidia.so.1]

mmh, this is the same with the nouveau VDPAU driver:

$ readelf -a libvdpau_nouveau.so.1.0.0 |grep SONAME
 0x000000000000000e (SONAME)             Library soname: [libvdpau_nouveau.so.1]

Apparently for loading it just uses the library with the major version in.

@Johan
Are you sure you have the message about the missing "libvdpau_nouveau.so" and not "libvdpau_nouveau.so.1"?

Probably the ticket title could be changed to "mesa-vdpau-drivers" should be installed by default.
Comment 7 Johan Vervloet 2013-11-23 07:59:31 EST
Yes, I copy/pasted the messages literally from journalctl.

But, as said, the messages have disappeared after installing mesa-vdpau-drivers
Comment 8 Fedora End Of Life 2015-05-29 05:48:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:59:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.